# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Summary:        JSR-330 implementation
Name:           hk2
Version:        2.1.18
Release:        1%{?dist}
Epoch:          0
Group:          Development/Framework
License:        ASL 2.0
URL:            http://hk2.java.net/
Source0:        hk2-2.1.18.tgz
# svn export https://svn.java.net/svn/hk2~svn/tags/hk2-parent-2.1.18/ hk2-2.1.18
# tar czf hk2-2.1.18.tgz hk2-2.1.18/

Source1:        %{name}-jpp-depmap.xml
Source2:        %{name}-settings.xml
Source3:        http://repo1.maven.org/maven2/asm/asm-debug-all/3.3/asm-debug-all-3.3-sources.jar
Source4:        http://repo1.maven.org/maven2/org/hibernate/hibernate-validator/3.1.0.GA/hibernate-validator-3.1.0.GA-sources.jar
Source5:        https://www.fornax-platform.org/nexus/content/groups/public/org/glassfish/pom/8/pom-8.pom

Patch0:         hk2-external-bean-validator-pom.patch
Patch1:         hk2-class-model-pom.patch
Patch2:         hk2-config-pom.patch
Patch3:         hk2-examples-ctm-pom.patch
Patch4:         hk2-pom.patch
Patch5:         hk2-hk2-config-pom.patch
Patch6:         hk2-maven-plugin-RunMojo.patch
Patch7:         hk2-test-harness-pom.patch
Requires(post): jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5
Requires:  java >= 0:1.6.0
Requires:  ant
Requires:  ant-junit
Requires:  ant-junit4
Requires:  apache-felix-bundlerepository
Requires:  apache-felix-configadmin
Requires:  atinject
Requires:  atinject_1_0_api
Requires:  bcel
Requires:  geronimo-jcdi-1.0-api
Requires:  hibernate3-validator
Requires:  junit431
Requires:  maven-shared-osgi
Requires:  objectweb-asm
Requires:  ops4j-pax-exam
Requires:  ops4j-pax-logging
Requires:  org.osgi.core
Requires:  org.osgi.compendium
Requires:  plexus-utils
Requires:  slf4j
Requires:  sun-istack-commons
Requires:  sun-jaxb-2.1-impl
Requires:  sun-sjsxp
Requires:  tiger-types
Requires:  validation_1_0_api

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  aries-testsupport
BuildRequires:  ant-junit4
BuildRequires:  junit431
BuildRequires:  junit44
BuildRequires:  ops4j-pax-exam
BuildRequires:  ops4j-pax-logging
BuildRequires:  objectweb-asm
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-eclipse
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-shared-osgi
BuildRequires:  mojo-maven2-plugin-apt
BuildRequires:  mojo-maven2-plugin-findbugs
BuildRequires:  apache-felix-bundlerepository
BuildRequires:  apache-felix-configadmin
BuildRequires:  args4j
BuildRequires:  atinject
BuildRequires:  bcel
BuildRequires:  jtype
BuildRequires:  jvnet-parent
BuildRequires:  geronimo-jcdi-1.0-api
BuildRequires:  geronimo-atinject-1.0-api
BuildRequires:  geronimo-validation-1.0-api
BuildRequires:  hibernate3-validator
BuildRequires:  hk2-osgi-resource-locator
BuildRequires:  org.osgi.core
BuildRequires:  org.osgi.compendium
BuildRequires:  plexus-utils
BuildRequires:  slf4j
BuildRequires:  sun-istack-commons
BuildRequires:  sun-jaxb-2.1-impl
BuildRequires:  sun-sjsxp
BuildRequires:  tiger-types
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
HK2 is an implementation of the JSR-330 standard. It also 
provides an API for fine control over the operation of HK2 
and the ability to automatically load services into the 
service registry. It is the foundation for the GlassFish 
V3 application server and consist of several technologies.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
%{summary}.

%prep
%setup -q 
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7



cp %{SOURCE2} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

for p in $(find . -name pom.xml); do
    sed -i -e 's/2\.1\.7-SNAPSHOT/%{version}/g' $p
done
mkdir external_repo
ln -s %{_javadir} external_repo/JPP

%build
export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository
mkdir -p ${MAVEN_REPO_LOCAL}/JPP/objectweb-asm/
cp %{SOURCE3} ${MAVEN_REPO_LOCAL}/JPP/objectweb-asm/asm-debug-all-sources.jar
mkdir -p ${MAVEN_REPO_LOCAL}/JPP/
cp %{SOURCE4} ${MAVEN_REPO_LOCAL}/JPP/hibernate3-validator-sources.jar
mkdir -p ${MAVEN_REPO_LOCAL}/org/glassfish/pom/8/
cp %{SOURCE5} ${MAVEN_REPO_LOCAL}/org/glassfish/pom/8/pom-8.pom

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -P release-phase-all \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -Dmaven.test.failure.ignore=true \
        install 

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-parent %{version} JPP/%{name} parent

install -m 644 apt/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-auto-depends-plugin.pom
%add_to_maven_depmap org.glassfish.hk2 auto-depends-plugin %{version} JPP/%{name} auto-depends-plugin
install -m 644 apt/target/auto-depends-plugin-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/auto-depends-plugin-%{version}.jar
install -m 644 apt/target/auto-depends-plugin-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/auto-depends-plugin-sources-%{version}.jar

install -m 644 auto-depends/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-auto-depends.pom
%add_to_maven_depmap org.glassfish.hk2 auto-depends %{version} JPP/%{name} auto-depends
install -m 644 auto-depends/target/auto-depends-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/auto-depends-%{version}.jar
install -m 644 auto-depends/target/auto-depends-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/auto-depends-sources-%{version}.jar

install -m 644 class-model/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-class-model.pom
%add_to_maven_depmap org.glassfish.hk2 class-model %{version} JPP/%{name} class-model
install -m 644 class-model/target/class-model-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/class-model-%{version}.jar
install -m 644 class-model/target/class-model-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/class-model-sources-%{version}.jar

install -m 644 config-generator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-config-generator.pom
%add_to_maven_depmap org.glassfish.hk2 config-generator %{version} JPP/%{name} config-generator
install -m 644 config-generator/target/config-generator-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/config-generator-%{version}.jar
install -m 644 config-generator/target/config-generator-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/config-generator-sources-%{version}.jar

install -m 644 config/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-config.pom
%add_to_maven_depmap org.glassfish.hk2 config %{version} JPP/%{name} config
install -m 644 config/target/config-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/config-%{version}.jar
install -m 644 config/target/config-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/config-sources-%{version}.jar

install -m 644 config-types/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-config-types.pom
%add_to_maven_depmap org.glassfish.hk2 config-types %{version} JPP/%{name} config-types
install -m 644 config-types/target/config-types-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/config-types-%{version}.jar
install -m 644 config-types/target/config-types-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/config-types-sources-%{version}.jar

install -m 644 consolidatedbundle-maven-plugin/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-consolidatedbundle-maven-plugin.pom
%add_to_maven_depmap org.glassfish.hk2 consolidatedbundle-maven-plugin %{version} JPP/%{name} consolidatedbundle-maven-plugin
install -m 644 consolidatedbundle-maven-plugin/target/consolidatedbundle-maven-plugin-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/consolidatedbundle-maven-plugin-%{version}.jar
install -m 644 consolidatedbundle-maven-plugin/target/consolidatedbundle-maven-plugin-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/consolidatedbundle-maven-plugin-sources-%{version}.jar

install -m 644 core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom
%add_to_maven_depmap org.glassfish.hk2 core %{version} JPP/%{name} core
install -m 644 core/target/core-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -m 644 core/target/core-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/core-sources-%{version}.jar

install -m 644 dependency-verifier/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-dependency-verifier.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-dependency-verifier %{version} JPP/%{name} dependency-verifier
install -m 644 dependency-verifier/target/hk2-dependency-verifier-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/dependency-verifier-%{version}.jar
install -m 644 dependency-verifier/target/hk2-dependency-verifier-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/dependency-verifier-sources-%{version}.jar

install -m 644 dependency-visualizer/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-dependency-visualizer.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-dependency-visualizer %{version} JPP/%{name} dependency-visualizer
install -m 644 dependency-visualizer/target/hk2-dependency-visualizer-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/dependency-visualizer-%{version}.jar
install -m 644 dependency-visualizer/target/hk2-dependency-visualizer-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/dependency-visualizer-sources-%{version}.jar

install -m 644 examples/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-examples.pom
%add_to_maven_depmap org.glassfish.hk2 examples %{version} JPP/%{name} examples

install -m 644 examples/ctm/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ctm-example.pom
%add_to_maven_depmap org.glassfish.hk2 ctm-example %{version} JPP/%{name} ctm-example
install -m 644 examples/ctm/target/ctm-example-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/ctm-example-%{version}.jar
install -m 644 examples/ctm/target/ctm-example-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/ctm-example-sources-%{version}.jar

install -m 644 examples/custom-resolver/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-custom-resolver-example.pom
%add_to_maven_depmap org.glassfish.hk2 custom-resolver-example %{version} JPP/%{name} custom-resolver-example
install -m 644 examples/custom-resolver/target/custom-resolver-example-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/custom-resolver-example-%{version}.jar
install -m 644 examples/custom-resolver/target/custom-resolver-example-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/custom-resolver-example-sources-%{version}.jar

install -m 644 examples/security-lockdown/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-security-lockdown-example.pom
%add_to_maven_depmap org.glassfish.hk2 security-lockdown-example %{version} JPP/%{name} security-lockdown-example

install -m 644 examples/security-lockdown/alice/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-security-lockdown-example-alice.pom
%add_to_maven_depmap org.glassfish.hk2 security-lockdown-example-alice %{version} JPP/%{name} security-lockdown-example-alice
install -m 644 examples/security-lockdown/alice/target/security-lockdown-example-alice-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/security-lockdown-example-alice-%{version}.jar
install -m 644 examples/security-lockdown/alice/target/security-lockdown-example-alice-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/security-lockdown-example-alice-sources-%{version}.jar

install -m 644 examples/security-lockdown/mallory/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-security-lockdown-example-mallory.pom
%add_to_maven_depmap org.glassfish.hk2 security-lockdown-example-mallory %{version} JPP/%{name} security-lockdown-example-mallory
install -m 644 examples/security-lockdown/mallory/target/security-lockdown-example-mallory-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/security-lockdown-example-mallory-%{version}.jar
install -m 644 examples/security-lockdown/mallory/target/security-lockdown-example-mallory-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/security-lockdown-example-mallory-sources-%{version}.jar

install -m 644 examples/security-lockdown/runner/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-security-lockdown-example-runner.pom
%add_to_maven_depmap org.glassfish.hk2 security-lockdown-example-runner %{version} JPP/%{name} security-lockdown-example-runner
install -m 644 examples/security-lockdown/runner/target/security-lockdown-example-runner-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/security-lockdown-example-runner-%{version}.jar
install -m 644 examples/security-lockdown/runner/target/security-lockdown-example-runner-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/security-lockdown-example-runner-sources-%{version}.jar

install -m 644 examples/security-lockdown/system/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-security-lockdown-example-system.pom
%add_to_maven_depmap org.glassfish.hk2 security-lockdown-example-system %{version} JPP/%{name} security-lockdown-example-system
install -m 644 examples/security-lockdown/system/target/security-lockdown-example-system-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/security-lockdown-example-system-%{version}.jar
install -m 644 examples/security-lockdown/system/target/security-lockdown-example-system-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/security-lockdown-example-system-sources-%{version}.jar

install -m 644 external/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-external.pom
%add_to_maven_depmap org.glassfish.hk2 external %{version} JPP/%{name} external

install -m 644 external/asm-all/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-asm-all-repackaged.pom
%add_to_maven_depmap org.glassfish.hk2.external asm-all-repackaged %{version} JPP/%{name} asm-all-repackaged
install -m 644 external/asm-all/target/asm-all-repackaged-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/asm-all-repackaged-%{version}.jar
install -m 644 external/asm-all/target/asm-all-repackaged-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/asm-all-repackaged-sources-%{version}.jar

install -m 644 external/bean-validator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-bean-validator.pom
%add_to_maven_depmap org.glassfish.hk2.external bean-validator %{version} JPP/%{name} bean-validator
install -m 644 external/bean-validator/target/bean-validator-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/bean-validator-%{version}.jar
install -m 644 external/bean-validator/target/bean-validator-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/bean-validator-sources-%{version}.jar

install -m 644 external/cglib/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cglib.pom
%add_to_maven_depmap org.glassfish.hk2.external cglib %{version} JPP/%{name} cglib
install -m 644 external/cglib/target/cglib-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/cglib-%{version}.jar
install -m 644 external/cglib/target/cglib-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/cglib-sources-%{version}.jar

install -m 644 external/jsr330/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-javax.inject.pom
%add_to_maven_depmap org.glassfish.hk2.external javax.inject %{version} JPP/%{name} javax.inject
install -m 644 external/jsr330/target/javax.inject-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/javax.inject-%{version}.jar
install -m 644 external/jsr330/target/javax.inject-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/javax.inject-sources-%{version}.jar

install -m 644 external/tiger-types/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tiger-types-osgi.pom
%add_to_maven_depmap org.glassfish.hk2.external tiger-types-osgi %{version} JPP/%{name} tiger-types-osgi
install -m 644 external/tiger-types/target/tiger-types-osgi-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/tiger-types-osgi-%{version}.jar
install -m 644 external/tiger-types/target/tiger-types-osgi-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/tiger-types-osgi-sources-%{version}.jar

install -m 644 hk2-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hk2-api.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-api %{version} JPP/%{name} hk2-api
install -m 644 hk2-api/target/hk2-api-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-api-%{version}.jar
install -m 644 hk2-api/target/hk2-api-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-api-sources-%{version}.jar

install -m 644 hk2-config/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hk2-config.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-config %{version} JPP/%{name} hk2-config
install -m 644 hk2-config/target/hk2-config-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-config-%{version}.jar
install -m 644 hk2-config/target/hk2-config-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-config-sources-%{version}.jar

install -m 644 hk2-deprecated/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hk2-deprecated.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-deprecated %{version} JPP/%{name} hk2-deprecated
install -m 644 hk2-deprecated/target/hk2-deprecated-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-deprecated-%{version}.jar
install -m 644 hk2-deprecated/target/hk2-deprecated-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-deprecated-sources-%{version}.jar

install -m 644 hk2-inhabitant-generator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hk2-inhabitant-generator.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-inhabitant-generator %{version} JPP/%{name} hk2-inhabitant-generator
install -m 644 hk2-inhabitant-generator/target/hk2-inhabitant-generator-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-inhabitant-generator-%{version}.jar
install -m 644 hk2-inhabitant-generator/target/hk2-inhabitant-generator-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-inhabitant-generator-sources-%{version}.jar

install -m 644 hk2-locator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hk2-locator.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-locator %{version} JPP/%{name} hk2-locator
install -m 644 hk2-locator/target/hk2-locator-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-locator-%{version}.jar
install -m 644 hk2-locator/target/hk2-locator-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-locator-sources-%{version}.jar

install -m 644 hk2-maven-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hk2-maven-plugin.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-maven-plugin %{version} JPP/%{name} hk2-maven-plugin
install -m 644 hk2-maven-plugin/target/hk2-maven-plugin-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-maven-plugin-%{version}.jar
install -m 644 hk2-maven-plugin/target/hk2-maven-plugin-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-maven-plugin-sources-%{version}.jar

install -m 644 hk2-maven/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hk2-maven.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-maven %{version} JPP/%{name} hk2-maven
install -m 644 hk2-maven/target/hk2-maven-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-maven-%{version}.jar
install -m 644 hk2-maven/target/hk2-maven-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-maven-sources-%{version}.jar

install -m 644 hk2-runlevel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hk2-runlevel.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-runlevel %{version} JPP/%{name} hk2-runlevel
install -m 644 hk2-runlevel/target/hk2-runlevel-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-runlevel-%{version}.jar
install -m 644 hk2-runlevel/target/hk2-runlevel-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-runlevel-sources-%{version}.jar

install -m 644 hk2/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hk2.pom
%add_to_maven_depmap org.glassfish.hk2 hk2 %{version} JPP/%{name} hk2
install -m 644 hk2/target/hk2-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-%{version}.jar
install -m 644 hk2/target/hk2-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-sources-%{version}.jar

install -m 644 hk2-testing/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hk2-testing.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-testing %{version} JPP/%{name} hk2-testing

install -m 644 hk2-testing/hk2-junitrunner/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hk2-junitrunner.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-junitrunner %{version} JPP/%{name} hk2-junitrunner
install -m 644 hk2-testing/hk2-junitrunner/target/hk2-junitrunner-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-junitrunner-%{version}.jar
install -m 644 hk2-testing/hk2-junitrunner/target/hk2-junitrunner-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-junitrunner-sources-%{version}.jar

install -m 644 hk2-utils/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hk2-utils.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-utils %{version} JPP/%{name} hk2-utils
install -m 644 hk2-utils/target/hk2-utils-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-utils-%{version}.jar
install -m 644 hk2-utils/target/hk2-utils-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/hk2-utils-sources-%{version}.jar

install -m 644 kernel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-kernel-parent.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-kernel-parent %{version} JPP/%{name} kernel-parent

install -m 644 osgi/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-osgi.pom
%add_to_maven_depmap org.glassfish.hk2 osgi %{version} JPP/%{name} osgi

install -m 644 osgi/adapter/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-osgi-adapter.pom
%add_to_maven_depmap org.glassfish.hk2 osgi-adapter %{version} JPP/%{name} osgi-adapter
install -m 644 osgi/adapter/target/osgi-adapter-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/osgi-adapter-%{version}.jar
install -m 644 osgi/adapter/target/osgi-adapter-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/osgi-adapter-sources-%{version}.jar

install -m 644 osgi/adapter-tests/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-osgi-adapter-tests-parent.pom
%add_to_maven_depmap org.glassfish.hk2 osgi-adapter-tests-parent %{version} JPP/%{name} osgi-adapter-tests-parent

install -m 644 osgi/adapter-tests/osgi-adapter-test/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-osgi-adapter-test.pom
%add_to_maven_depmap org.glassfish.hk2 osgi-adapter-test %{version} JPP/%{name} osgi-adapter-test
install -m 644 osgi/adapter-tests/osgi-adapter-test/target/osgi-adapter-test-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/osgi-adapter-test-%{version}.jar

install -m 644 osgi/adapter-tests/test-module-startup/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-test-module-startup.pom
%add_to_maven_depmap org.glassfish.hk2 test-module-startup %{version} JPP/%{name} test-module-startup
install -m 644 osgi/adapter-tests/test-module-startup/target/test-module-startup-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/test-module-startup-%{version}.jar
install -m 644 osgi/adapter-tests/test-module-startup/target/test-module-startup-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/test-module-startup-sources-%{version}.jar

install -m 644 osgiversion-maven-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-osgiversion-maven-plugin.pom
%add_to_maven_depmap org.glassfish.hk2 osgiversion-maven-plugin %{version} JPP/%{name} osgiversion-maven-plugin
install -m 644 osgiversion-maven-plugin/target/osgiversion-maven-plugin-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/osgiversion-maven-plugin-%{version}.jar
install -m 644 osgiversion-maven-plugin/target/osgiversion-maven-plugin-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/osgiversion-maven-plugin-sources-%{version}.jar

install -m 644 test-harness/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-test-harness.pom
%add_to_maven_depmap org.glassfish.hk2 test-harness %{version} JPP/%{name} test-harness
install -m 644 test-harness/target/test-harness-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/test-harness-%{version}.jar
install -m 644 test-harness/target/test-harness-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/test-harness-sources-%{version}.jar

install -m 644 public/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-public.pom
%add_to_maven_depmap org.glassfish.hk2 hk2-public %{version} JPP/%{name} public

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Tue Jan 15 2013 Ralph Apel <r.apel@r-apel.de> 0:2.1.18-1
- 2.1.18 

